Bug 444107 - [RHEL4] userdel/usermod infinite loop with duplicate names in /etc/group or /etc/gshadow
[RHEL4] userdel/usermod infinite loop with duplicate names in /etc/group or /...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: shadow-utils (Show other bugs)
4.6
All Linux
high Severity high
: rc
: ---
Assigned To: Peter Vrabec
: Reopened
Depends On: 240915
Blocks: 655088
  Show dependency treegraph
 
Reported: 2008-04-24 22:19 EDT by Andrew Hecox
Modified: 2010-11-19 10:09 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0692
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 655088 (view as bug list)
Environment:
Last Closed: 2008-07-24 15:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update grpconv to update_entry function (830 bytes, patch)
2008-04-25 09:15 EDT, Kenneth Topp
no flags Details | Diff

  None (edit)
Comment 2 Kenneth Topp 2008-04-25 09:15:03 EDT
Created attachment 303779 [details]
update grpconv to update_entry function

update grpconv to update_entry function

all commands that call gr_next after running gr_update on a dup group are at
risk.

at least grpconv is.  patch attached.


groupadd - only update a non existant group, however broken nsswitch could make

getgrnam return 0, and find_by_name would get a dup. but luckily the gr_next
occurs before gr_update
newusers -similar to groupadd
grpunconv - needs to be fixed, can fix just like my attached patch, if it's
desirable.
Comment 13 errata-xmlrpc 2008-07-24 15:37:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0692.html

Note You need to log in before you can comment on or make changes to this bug.